svn commit: r313140 - in user/pho/stress2: . testcases
Peter Holm
pho at FreeBSD.org
Fri Feb 3 08:15:25 UTC 2017
Author: pho
Date: Fri Feb 3 08:15:23 2017
New Revision: 313140
URL: https://svnweb.freebsd.org/changeset/base/313140
Log:
Older versions of FreeBSD does not allow the use of MK_DEBUG_FILES.
Sponsored by: Dell EMC Isilon
Modified:
user/pho/stress2/run.sh
user/pho/stress2/testcases/Makefile.inc
Modified: user/pho/stress2/run.sh
==============================================================================
--- user/pho/stress2/run.sh Fri Feb 3 07:54:15 2017 (r313139)
+++ user/pho/stress2/run.sh Fri Feb 3 08:15:23 2017 (r313140)
@@ -41,9 +41,12 @@ while getopts a name; do
done
shift $(($OPTIND - 1))
+[ -x ./testcases/run/run ] ||
+ { echo "Please run \"make\" first." && exit 1; }
[ `basename ${stress2origin:-X}` != misc ] &&
echo "Note: all.sh in stress2/misc is the preferred test to run." \
1>&2
+find ./testcases -perm -1 \( -name "*.debug" -o -name "*.full" \) -delete
if [ ! -z "$aflag" ]; then
. ./default.cfg
export runRUNTIME=5m
@@ -76,7 +79,8 @@ else
[ -z "$EXCLUDETESTS" ] && EXCLUDETESTS=DuMmY
[ -z "$TESTPROGS" ] && \
- TESTPROGS=`find testcases/ -perm -1 -type f | egrep -v "/run/|$EXCLUDETESTS"`
+ TESTPROGS=`find testcases/ -perm -1 -type f | \
+ egrep -v "/run/|$EXCLUDETESTS|\.full|\.debug"`
#LD_PRELOAD=/usr/local/lib/libefence.so.0 ./testcases/run/run $TESTPROGS
./testcases/run/run $TESTPROGS
fi
Modified: user/pho/stress2/testcases/Makefile.inc
==============================================================================
--- user/pho/stress2/testcases/Makefile.inc Fri Feb 3 07:54:15 2017 (r313139)
+++ user/pho/stress2/testcases/Makefile.inc Fri Feb 3 08:15:23 2017 (r313140)
@@ -3,6 +3,5 @@
NO_OBJ=
LDADD+= -L../../lib -lstress -lutil
DPADD+= ../../lib/libstress.a
-CFLAGS =-g -Wall -Wextra -O2 -I../../include -I../include
+CFLAGS =-Wall -Wextra -O2 -I../../include -I../include
MAN=
-MK_DEBUG_FILES=no
More information about the svn-src-user
mailing list